Subject: RE: [Asrg] RMX proposals and Nash Equilibrium

From: "Eric D. Williams" <[email-masked]>
Date: Sun, 4 May 2003 12:39:35 -0400

On Sunday, May 04, 2003 12:13 PM, Alan DeKok [SMTP:[email-masked]] wrote:
> Kee Hinckley <[email-masked]> wrote:
> > >   An alternative policy approach for sites implementing RMX lookups
> > >would be to rate-limit non-RMX connections to some small amount of
> > >bandwidth.  Mail from non-RMX sites would still get through, but would
> > >be punished relative to RMX aware sites.
> >
> > What MTAs currently support rate-limiting?
>
>   I don't know.  But there are lower layer rate limiters: QoS.
>
>   The solution to the spam problem will often require things outside
> of the SMTP world.  Bandwidth limitations on SMTP connections are just
> one possibility.

I agree, and those approaches have and are being used.  However they affect the 
rate of reception of 'spam' and not 'spam' as a percentage of messages in the 
MTS, I take your point though that many measures to reduce and prevent spam (as 
well as technologies to combat it) will not have direct interaction with SMTP 
or depend on it.

That's not saying that interaction with MTA software/processes won't occur only 
no protocol interaction.  There are some I suspect who would argue that all 
'spaminess' must be detected in the SMTP transactions (and that has advantages) 
I just don't buy it.  I think the technologies to control the policy boundaries 
for messaging exist and RMX is part of the solution, how much of a part I don't 
know.

Daniel's piece on equilibrium was couched in the context of aliases and 
.forward files, the question was how to handle that bit using RMX (or could it 
be achieved at all, since it is posited as a deficiency).

-e
_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Kee Hinckley <[email-masked]>
Date: Sun, 4 May 2003 19:10:36 -0400

>'spaminess' must be detected in the SMTP transactions (and that has 

Given that two different people may consider the same list to be, or 
not be, spam.  And that it is not always possible to determine the 
final recipient at the SMTP transaction point, I think it's pretty 
clear that this isn't possible.
-- 
Kee Hinckley
http://www.messagefire.com/          Junk-Free Email Filtering
http://commons.somewhere.com/buzz/   Writings on Technology and Society

I'm not sure which upsets me more: that people are so unwilling to accept
responsibility for their own actions, or that they are so eager to regulate
everyone else's.
_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: J C Lawrence <[email-masked]>
Date: Mon, 05 May 2003 11:49:58 -0700

On Sun, 4 May 2003 19:10:36 -0400

>> no protocol interaction.  There are some I suspect who would argue
>> that all 'spaminess' must be detected in the SMTP transactions (and
>> that has advantages)

> clear that this isn't possible.

True.  However it may be possible in some cases.

We're not going to find a golden bullet here: something that will
instantly be globally deployed and will within no more than 30ns render
the planet spam free (Okay, 40ns for you laggards).  Not going to
happen.  I expect we're much more likely to end up with a collection of
tools, each perhaps with a 10% effectiveness, but which in concert
achieve >80% effectiveness.

Detection methods that can occur at the SMTP transaction layer need not
be discarded if they can form one of those 10% Humpty Dumpty bricks.

--
J C Lawrence
---------(*)                Satan, oscillate my metallic sonatas.
[email-masked]               He lived as a devil, eh?
http://www.kanga.nu/~claw/  Evil is a name of a foeman, as I live.
_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: "Jon Kyme" <[email-masked]>
Date: Tue, 06 May 2003 08:49:49 +0100

> clear that this isn't possible.

It's clear that this isn't possible for ALL SMTP transactions. It clearly
IS possible for some. Control of MTA-based filtering by an end-user will
clearly
give advantages (appropriate negative responses, more meaningful positive
ones) in a large proportion (I'd guess a large majority) of cases.